## org.hornetq.api.jms.management
Class JMSSessionInfo

    java.lang.Object
      org.hornetq.api.jms.management.JMSSessionInfo

    public class JMSSessionInfo

extends Object

A JMSSessionInfo

Author:
  howard

Constructor Summary
`JMSSessionInfo(String sessionID, long creationTime)`

Method Summary
`static JMSSessionInfo[]` `from(String jsonString)`
`long` `getCreationTime()`
`String` `getSessionID()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSSessionInfo

    public JMSSessionInfo(String sessionID,
                          long creationTime)

Method Detail

### from

    public static JMSSessionInfo[] from(String jsonString)
                                 throws org.hornetq.utils.json.JSONException

  Throws:
    `org.hornetq.utils.json.JSONException`

### getSessionID

    public String getSessionID()

### getCreationTime

    public long getCreationTime()

Copyright © 2009 Red Hat Inc. All Rights Reserved.